Skip to main content
POST
https://api.rankspot.ai
/
v1
/
forum-opportunities
Create a forum opportunity
curl --request POST \
  --url https://api.rankspot.ai/v1/forum-opportunities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "How to start a blog in 2024",
  "url": "https://reddit.com/r/blogging/comments/abc123",
  "competitorId": "clx..."
}
'
{
  "id": "clx...",
  "title": "How to start a blog in 2024",
  "url": "https://reddit.com/r/blogging/comments/abc123",
  "status": "new",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "competitorId": "clx..."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
Example:

"How to start a blog in 2024"

url
string
required
Example:

"https://reddit.com/r/blogging/comments/abc123"

competitorId
string

Associate with a competitor

Example:

"clx..."

Response

201 - application/json
id
string
required
Example:

"clx..."

title
string
required
Example:

"How to start a blog in 2024"

url
string
required
Example:

"https://reddit.com/r/blogging/comments/abc123"

status
enum<string>
required
Available options:
new,
processed
Example:

"new"

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
competitorId
string | null
Example:

"clx..."